#include <iostream>
#include <algorithm>
using namespace std;
int main()
{
    int n,k;
    cin>>n>>k;
    int a[n+1];
    int s=1,m=0;
    int b[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    sort(a,a+n);
    a[n]=n+1;
    for(int i=0;i<n;i++)
    {
        if(a[i]==a[i+1])
        {
            s++;
        }    
        else
        {
            if(s>=k)
            {
                 b[m]=a[i];
                 m++;
            }
            s=1;
        }
    }
    cout<<m<<endl;
    for(int i=0;i<m;i++)
      cout<<b[i]<<" ";
    
    
    return 0;
}